package com.liquidnet.common.third.shumei.constant;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: ShumeiConstant
 * @Package com.liquidnet.common.third.shumei.constant
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/8 10:40
 */
public class ShumeiConstant {
    public enum ResponseCodeEnum{
        SUCCESS("1100","成功"),
        QPS_ULTRALIMIT ("1901","QPS 超限"),
        PARAM_ILLEGAL ("1902","参数不合法"),
        SERVER_FAIL("1903","服务失败"),
        IMAGE_DOWNLOAD_FAIL("1911","图片下载失败"),
        BALANCE_NOT_ENOUGH("9100","余额不足"),
        NO_PERMISSION("9101","无权限操作");
        private String code;
        private String message;
        ResponseCodeEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }

        public String getCode() {
            return code;
        }

        public String getMessage(){ return message;};
    }

    public enum RiskLevelEnum{
        PASS("PASS","正常"),
        REVIEW ("REVIEW","可疑"),
        REJECT ("REJECT","违规");
        private String code;
        private String message;
        RiskLevelEnum(String code, String message) {
            this.code = code;
            this.message = message;
        }

        public String getCode() {
            return code;
        }

        public String getMessage(){ return message;};
    }
}
